Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class AbstractSubmitContext

    java.lang.Object
      com.eviware.soapui.model.support.AbstractSubmitContext

All Implemented Interfaces:
  SubmitContext, java.util.Map<java.lang.String,java.lang.Object>

Direct Known Subclasses:
  MockTestRunContext, WsdlSubmitContext, WsdlTestRunContext

    public abstract class AbstractSubmitContext

extends java.lang.Object
implements SubmitContext, java.util.Map<java.lang.String,java.lang.Object>

Base-class for submit contexts

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface com.eviware.soapui.model.iface.SubmitContext
`HTTP_STATE_PROPERTY, PROPERTY_SEPARATOR`

Constructor Summary
`AbstractSubmitContext()`
`AbstractSubmitContext(PropertiesMap properties)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(java.lang.Object key)`
`StringToObjectMap` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name, TestStep testStep, WsdlTestCase testCase)`
`int` | `hashCode()`
`boolean` | `hasProperty(java.lang.String name)`
`boolean` | `isEmpty()`
`java.util.Set<java.lang.String>` | `keySet()`
`java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
`void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> m)`
`java.lang.Object` | `remove(java.lang.Object key)`
`java.lang.Object` | `removeProperty(java.lang.String name)`
`void` | `resetProperties()`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value, TestCase testCase)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.SubmitContext
`getProperty`

Constructor Detail

### AbstractSubmitContext

    public AbstractSubmitContext()

### AbstractSubmitContext

    public AbstractSubmitContext(PropertiesMap properties)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name,
                                        TestStep testStep,
                                        WsdlTestCase testCase)

### removeProperty

    public java.lang.Object removeProperty(java.lang.String name)

  Specified by:
    `removeProperty` in interface `SubmitContext`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `SubmitContext`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value,
                            TestCase testCase)

### hasProperty

    public boolean hasProperty(java.lang.String name)

  Specified by:
    `hasProperty` in interface `SubmitContext`

### resetProperties

    public void resetProperties()

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `equals` in class `java.lang.Object`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### keySet

    public java.util.Set<java.lang.String> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> m)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### getProperties

    public StringToObjectMap getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.